<style>
.form-table i.desc {
    font-size: 12px;
    font-weight: normal;
    font-style: italic;
    display: block;
}
.instructions img {
    max-width: 70%;
}
</style>
<div class="wrap">
    <div id="icon-options-general" class="icon32">
        <br>
    </div>
    <h2><?php _e('Facebook Event Calendar Settings','facebook-events'); ?></h2>
    <br/>
    <form action="options.php" method="post" id="fb-cal-form">
        <?php settings_fields( 'wppress-fb-event-calendar'); ?>
        <table class="form-table">
            <tbody>
                <tr valign="top">
                    <th scope="row">
                        <?php _e('Facebook ID','facebook-events'); ?>
                        <i class="desc"><?php _e('ID of your Facebook Profile, Page or Group','facebook-events');?></i>
                    </th>
                    <td>

                        <input name="wppress_fb_event_calendar[page_id]" type="text" value="<?php echo $this->options['page_id']; ?>" size="45" />
                        <i class="desc"><?php _e('Separate with commas for multiple IDs.','facebook-events');?></i>
                        <i class="desc"><?php _e('The IDs provided will be used as default IDs unless provided with individual shortcode or widget.','facebook-events'); ?></i>
                        <i class="desc"><?php echo sprintf(__('You can get your profile/page/group ID from `%s` just putting the page URL.','facebook-events'),'<a href="http://lookup-id.com/" target="_blank">http://lookup-id.com/</a>'); ?> </i>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row" colspan="2">
                        <h3><?php _e('Facebook APP Setting','facebook-events'); ?></h3>
                        <i class="desc"><?php _e('Setting up your own APP and your own access will enable the plugin to get events that are restricted to default access token.','facebook-events'); ?></i>
                    </th>

                </tr>
                <tr valign="top">
                    <th scope="row">
                        <?php _e('Facebook APP ID','facebook-events'); ?>
                        <i class="desc"><?php _e('Check below how to setup your own Facebook APP','facebook-events'); ?></i>
                    </th>
                    <td>
                        <input name="wppress_fb_event_calendar[app_id]" type="text" id="app_id" value="<?php echo $this->options['app_id']; ?>" size="45" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <?php _e('Facebook APP Secret','facebook-events'); ?>
                        <i class="desc"><?php _e('Recommended if you want your own access token.','facebook-events'); ?></i>
                    </th>
                    <td>
                        <input name="wppress_fb_event_calendar[app_secret]" type="password" id="app_secret" value="<?php echo $this->options['app_secret']; ?>" size="45" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <?php _e('Access Token','facebook-events'); ?>
                        <i class="desc"><?php _e('Recommended but Optional','facebook-events'); ?></i>
                    </th>
                    <td>

                        <input name="wppress_fb_event_calendar[access_token]" type="password" id="my_access_token" value="<?php echo $this->options['access_token']; ?>" size="45" />
                        <i class="desc"><?php _e('Its recommended to as some of the pages/groups/profile you follow may not be visible to public and your access token might be required.','facebook-events');?></i>
                        <i class="desc"><?php _e('Enter your access token if you have generated it from other source.','facebook-events'); ?></i>
                        <?php if($this->options['app_id']!="" && $this->options['app_secret']!=""){ ?>
                        <p><a href="https://www.facebook.com/dialog/oauth?client_id=<?php echo $this->options['app_id']; ?>&amp;redirect_uri=<?php echo urlencode(add_query_arg(array('page'=>$_GET['page'],'method'=>'verify_fb_code'),admin_url('admin.php'))); ?>&amp;scope=user_events" class="button"><?php _e('Get Access Token','facebook-events'); ?></a>
                        </p>
                        <?php } ?>
                        <i class="desc"><?php _e('Note: If you acquired the access token by authorizing the app using the APP ID and APP Secret above, then the access token will update over time using WordPress Default Cron Schedule so the access token will not expire and prevent event calender from not working as intended.','facebook-events'); ?></i>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row" colspan="2">
                        <h3><?php _e('Other Settings','facebook-events'); ?></h3>
                    </th>

                </tr>

                <tr valign="top">
                    <th scope="row">
                        <?php _e('Caching','facebook-events'); ?>
                        <i class="desc"><?php _e('Recommended','facebook-events'); ?></i>
                    </th>
                    <td>
                        <input name="wppress_fb_event_calendar[cache_time]" type="number" min="0" value="<?php echo $this->options['cache_time']; ?>" />

                        <select name="wppress_fb_event_calendar[cache_suffix]">
                            <?php foreach(array( "hours"=>__("Hour",'facebook-events'),"minutes"=>__("Minute",'facebook-events'),"seconds"=>__("Seconds",'facebook-events')) as $key=>$val){ ?>
                            <option value="<?php echo $key; ?>" <?php selected($key,$this->options['cache_suffix']); ?>>
                                <?php echo $val; ?>
                            </option>
                            <?php } ?>
                        </select>

                        <i class="desc"><?php _e('All the events feed are cached to perform best and reduce server load both on yours and facebook servers. Increasing the time would delay the events to show up until the next routine.','facebook-events'); ?> </i>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <?php _e('Calendar Timezone','facebook-events'); ?>
                    </th>
                    <td>
                        <select name="wppress_fb_event_calendar[timezone]">
                            <?php foreach($this->timezones as $val=>$key){ ?>
                            <option value="<?php echo $key; ?>" <?php selected($key,$this->options['timezone']); ?>>
                                <?php echo $val; ?>
                            </option>
                            <?php } ?>
                        </select>
                        <i class="desc"><?php _e("Choose what timezone the calendar events be shown. If you want events to be shown by their local timezone, choose `<b>Visitor's Default</b>` option.",'facebook-events'); ?></i>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <?php _e('License Key','facebook-events'); ?>
                        <i class="desc"><?php _e('Recommended','facebook-events'); ?></i>
                    </th>
                    <td>

                        <input name="wppress_fb_event_calendar[license_key]" type="text" value="<?php echo $this->options['license_key']; ?>" size="45" />
                        <i class="desc"><?php _e('Enter the Item license key (purchase code) to enable auto-update.','facebook-events'); ?></i>
                    </td>
                </tr>
            </tbody>
        </table>
        <p class="submit">
            <input type="submit" name="submit" id="fb-cal-form-submit" class="button button-primary" value="Save Changes">
        </p>
    </form>
    <div class="share-bar">
        <span class='st_facebook_hcount' displayText="Facebook" st_url="http://facebook-events-calendar.wppress.net" st_title="Facebook Events Calendar WordPress Plugin"></span>
        <span class='st_twitter_hcount' displayText='Tweet' st_url="http://facebook-events-calendar.wppress.net" st_title="Facebook Events Calendar WordPress Plugin"></span>
        <span class='st_linkedin_hcount' displayText='LinkedIn' st_url="http://facebook-events-calendar.wppress.net" st_title="Facebook Events Calendar WordPress Plugin"></span>
        <span class='st_pinterest_hcount' displayText='Pinterest' st_url="http://facebook-events-calendar.wppress.net" st_title="Facebook Events Calendar WordPress Plugin"></span>
        <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
        <script type="text/javascript">
        stLight.options({
            publisher: "9e2dcc30-db98-4ffc-b799-cc12c202c77c",
            doNotHash: true,
            doNotCopy: true,
            hashAddressBar: false
        });
        </script>
    </div>
    <div class="instructions">
        <h2><?php _e('How to get your own Access Token?','facebook-events'); ?></h2>
        <h3><?php _e('Follow the easy steps here','facebook-events'); ?></h3>
        <ol>
            <li>
                <p>Go to <a href="https://developers.facebook.com/" target="_blank">https://developers.facebook.com/</a>
                </p>
                <p><img src="<?php echo $this->pluginURL; ?>instructions/1.jpg" alt="" />
                </p>
            </li>
            <li>
                <p><?php _e("When Popup opens when you click on `<b>Add a New App</b>`, choose advanced settings and continue.",'facebook-events'); ?></p>
                <p><img src="<?php echo $this->pluginURL; ?>instructions/2.jpg" alt="" />
                </p>
            </li>
            <li>
                <p><?php _e('Now fill in the App name and category and create app.','facebook-events'); ?></p>
                <p><img src="<?php echo $this->pluginURL; ?>instructions/3.jpg" alt="" />
                </p>
            </li>
            <li>
                <p><?php _e('You may be interrupted by security check. Pass the captcha.','facebook-events'); ?></p>
            </li>
            <li>
                <p><?php _e('Congrats! you have created your app. Now copy the APP ID and APP Secret and use it on the next step.','facebook-events'); ?></p>
                <p><img src="<?php echo $this->pluginURL; ?>instructions/4.jpg" alt="" />
                </p>
            </li>
            <li>
                <p><?php _e('Head over to the app settings tab of your Facebook APP, and fill in your domain and contact information for the Application.','facebook-events'); ?></p>
                <p><?php _e('The `<b>App Domains</b>` field must be exact domain where this plugin is installed.','facebook-events'); ?></p>
                <p><?php _e('If you are using subdomain for this installation, then you can put the main domain on the APP setting','facebook-events'); ?></p>
                <p><img src="<?php echo $this->pluginURL; ?>instructions/5.jpg" alt="" />
                </p>
            </li>
            <li>
                <p><?php _e('Use the APP details in the settings form above to get your own access token.','facebook-events');?></p>
            </li>
            <li>
                <p><?php _e('Or you can use the your App ID and APP Secret as access token by joining two with the pipe `|`. App token like this have only limited access to the events feed and will not be able to get user\'s attending events.','facebook-events'); ?></p>
                <p><?php _e('Eg: <b>123455677890123|ablaksgjijlkjglaksjg</b> where first half is he App ID and second half is your App Secret.','facebook-events'); ?></p>

            </li>


        </ol>
        <table class="form-table">
        </table>
    </div>
</div>
